package com.chenyang.nse.bussiness.entity.vo.excel;

import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataProject;
import com.chenyang.nse.bussiness.entity.vo.DBTableVO;
import java.util.List;
import java.util.Map;

public class ExcelEncryptionVO {
   private List<String> dataSourceIdList;
   private List<Map<String, String>> schemalist;
   public List<DBTableVO> tableList;
   public TCoreDataProject project;
   public String fileName;

   public List<DBTableVO> getTableList() {
      return this.tableList;
   }

   public void setTableList(List<DBTableVO> tableList) {
      this.tableList = tableList;
   }

   public TCoreDataProject getProject() {
      return this.project;
   }

   public void setProject(TCoreDataProject project) {
      this.project = project;
   }

   public String getFileName() {
      return this.fileName;
   }

   public void setFileName(String fileName) {
      this.fileName = fileName;
   }

   public List<String> getDataSourceIdList() {
      return this.dataSourceIdList;
   }

   public void setDataSourceIdList(List<String> dataSourceIdList) {
      this.dataSourceIdList = dataSourceIdList;
   }

   public List<Map<String, String>> getSchemalist() {
      return this.schemalist;
   }

   public void setSchemalist(List<Map<String, String>> schemalist) {
      this.schemalist = schemalist;
   }
}
